
//  File: KifIndvar.java

/*  Set tabstop = 4 to read this file.
*
*   Maintanence History:
*   Mar. 7, 97:
*   . add method varName()
*/


package jkp;

import jbf.*;
import java.lang.*;


/**
 * The  class for KIF individual variable terms
 * @author  <A href="http://www.cs.umbc.edu/~xluan1/">Xiaocheng LUAN</A>
 */
public class KifIndvar extends KifTerm {
	
	public KifIndvar(String varName)
	{
		super(varName);
		setType(KifObj.KIF_INDVARTERM);
	}


	/**
	 * @return the variable name in the form of: ?name
	 */
	public String varName() { return termString(); }
}



